MantisBT
Mantis Bug Tracker Workflow

View Revisions: Issue #27753 All Revisions ] Back to Issue ]
Summary 0027753: Nearly plane cones should not be created by BRepPrimAPI_MakeRevol
Revision 2017-01-23 12:56 by ifv
Steps To Reproduce Not required
Revision 2016-08-08 12:19 by Timo
Steps To Reproduce Script for creating surfaces by BRepPrimAPI_MakeRevol with different angles:
s1 to s10 will be cones, s11 a plane.

pload ALL
dset j 1
for {set i 1} {$i < 12} {incr i} {
    dset j $j/10
    
    polyline w 0 0 0 10 j 0
    revol s w 20 0 0 0 1 0 90
    save s s[expr $i].brep
    newmodel
    stepwrite 0 s s[expr $i].stp
}
Revision 2016-08-08 10:10 by Timo
Steps To Reproduce Script for creating surfaces by BRepPrimAPI_MakeRevol with different angles:

pload ALL
dset j 1
for {set i 1} {$i < 12} {incr i} {
    dset j $j/10
    
    polyline w 0 0 0 10 j 0
    revol s w 20 0 0 0 1 0 90
    save s s[expr $i].brep
    newmodel
    stepwrite 0 s s[expr $i].stp
}
Revision 2016-08-05 17:28 by Timo
Steps To Reproduce Script for creating surfaces with different angles:

pload ALL
dset j 1
for {set i 1} {$i < 12} {incr i} {
    dset j $j/10
    
    polyline w 0 0 0 10 j 0
    revol s w 20 0 0 0 1 0 90
    save s s[expr $i].brep
    newmodel
    stepwrite 0 s s[expr $i].stp
}
Revision 2016-08-05 17:26 by Timo
Steps To Reproduce


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker